> For the complete documentation index, see [llms.txt](https://docs.maildrop.cc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maildrop.cc/api-reference/service-status.md).

# Service Status

{% hint style="info" %}
There are multiple services that report their status; this method is provided as a convenience to see if Maildrop is completely functional or not. Most users should never need to run this query.
{% endhint %}

## Returns the status of Maildrop as a string.

<mark style="color:green;">`POST`</mark> `https://api.maildrop.cc/graphql`

Checks the current status of the various services in the Maildrop architecture and returns either "operational" or an error string.

Results are cached for up to a minute.

#### Headers

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| Content-Type | String | application/json |

#### Request Body

| Name | Type   | Description                             |
| ---- | ------ | --------------------------------------- |
|      | String | '{ query: "query Example { status }" }' |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": {
        "status": "operational"
    }
}
```

{% endtab %}
{% endtabs %}

#### Examples

{% tabs %}
{% tab title="curl" %}

```bash
curl --request POST \
    --header 'content-type: application/json' \
    --url https://api.maildrop.cc/graphql \
    --data '{"query":"query Example {\n  status\n}"}'
```

returns:

```json
{"data":{"status":"operational"}}
```

{% endtab %}

{% tab title="React" %}

```tsx
export const GET_STATUS = gql`
    query GetStatus {
        status
    }
}`;

interface QueryReturn {
    status: string;
}

const MyComponent = () => {
    const [{ loading, error, data }] = useQuery<QueryReturn>(GET_STATUS);
    return (
        <div>
            {loading && <div>Loading...</div>}
            {!loading && error && <div>There was an error.</div>}
            {!loading && data?.status && <div>Status: {data.status}</div>}            
        </div>
    );
};
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maildrop.cc/api-reference/service-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
